version: '3.8'

services:
  app:
    build:
      context: ./
      dockerfile: Dockerfile
    container_name: entrytask-app
    restart: always
    working_dir: /var/www/
    volumes:
      - ../:/var/www
  nginx:
    image: nginx:1.19-alpine
    container_name: entrytask-nginx
    restart: always
    ports:
      - 80:80
    volumes:
      - ../:/var/www
      - ./nginx:/etc/nginx/conf.d
  db:
    container_name: entrytask-db
    image: mariadb
    volumes:
      - ./storage/mariadb:/var/lib/mysql
    restart: always
    environment:
      MARIADB_ROOT_PASSWORD: root
    ports:
      - 3306:3306